Subject: bug#12761: bug #12761 - please do it

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Aug 2013 22:33:09 -0400

>> > Please also font-lock (and add to Imenu) `gv-define-setter' &
>> > compagnie.
>> 
>> Actually, gv setters and expanders should normally be added via
>> (declare (gv-setter ...)) or (declare (gv-expander ...)), so they don't
>> need any special handling in Imenu or font-lock.

> Good to hear. But I don't see that, not yet at least. Not in this build:
[...]
> Visit frameset.el and search for `(gv-define-setter frameset-prop'.
> Do you see `gv-define-setter' highlighted?  Do you see its first arg
> highlighted?

You misread me.  I'm saying that frameset.el should not call
gv-define-setter and should instead use (declare (gv-setter ...)).

        Stefan